# Changelog

All notable changes to this project will be documented in this file.

## [0.2.0] - Wednesday, 10th February 2021.

### Breaking Changes

- Renamed `Response` to `Res` in code. But it is still called `Response`.
- Wrapped documentation accordingly.

## [0.1.0+2] - Tuesday, 19th January 2021.

- Updated `README` file.

## [0.1.0+1] - Tuesday, 19th January 2021.

- Updated header.
- Updated `README` file.
- Updated `LICENSE`.
- Migrated to new GitLab repo under `Musa Usman & Co.` group.

## [0.1.0] - Saturday, 7th November 2020.

### Breaking changes

- Removed Flutter dependency for this package. You can use this for other Dart apps like Web Servers and CLIs.
- The existing Flutter helper mixins were also removed. 
- To use them, you can additionally add the `zap_architecture_flutter` package to your pubspec.yaml. 

## [0.0.6] - Wednesday, 14th October 2020.

- Removed `ResponseParserConfiguration`, instead added a raw field. This is useful in `Response.fromJSON`.

## [0.0.5] - Wednesday, 14th October 2020.

- Added new `ResponseParserConfiguration` class for parsing custom fields in the `Response.fromJSON` constructer.
- Added complete documentation for `ResponseParserConfiguration`.
- Added `example` folder.


## [0.0.4+10] - Monday, 28th September 2020.

- Completed code documentation for all the current code.

## [0.0.4+8] - Thursday, 17th September 2020.

- Added documentation for `PlatformsMixin` to README file.


## [0.0.4+7] - Thursday, 17th September 2020.

- Fixed a bug.
- Added documentation.

## [0.0.4] - Monday, 14th September 2020.

- Added new `Process` class.
- Reimplemented the `ProcessMixin` class for compatibility with `Process`.
    Use this for your models which handle one time procedures like login / sign up. 

## [0.0.2] - Friday, 28th August 2020.

### Breaking changes

- Fixed logical bug for Response.friendlyErrorMessage and Status.friendlyErrorMessage.
    Make sure that to use the friendlyErrorMesssage variable when showing errors to users.
- Renamed Status.fromJSON constructor to Status.fromResponse.


## [0.0.1] - Friday, 28th August 2020.

### Initial Features

- Status class added.
- Response class added.
- Helper mixins added. Compatible with ChangeNotifier/Provider:
    * StatusMixin. Handles the boilerplate for adding Status to a Provider.
    * ProcessMixin. Handles the boilerplate for managing a boolean value (isProcessing).
       This can be used block the UI when a crucial task is in progress.
    * PlatformsMixin. Compatible with Stateful & Stateless widgets. Provides 2 boolean values.
        - isAndroid: True if the platform is Android.
        - isIOS: True if the platform is iOS.